opaesmanalysis(8)

NAME
opaesmanalysis

(Switch) Performs analysis of the embedded Subnet Manager (SM) for configuration and health. The opaesmanalysis tool checks the opafm.xml file for the chassis.

All files generated by opaesmanalysis start with esm in the file name.

Intel recommends that you set up SSH keys for chassis (see

opasetupssh ). If SSH keys are not set up, all chassis must be configured with the same admin password and the password must be kept in the opafastfabric.conf configuration file.

Syntax
opaesmanalysis [-b|-e] [-s] [-d dir] [-G esmchassisfile]
[-E 'esmchassis']

Options

--help

    Produces full help text.

-b

    Specifies the baseline mode. Default is the compare/check mode.

-e

    Evaluates health only. Default is the compare/check mode.

-s

    Saves history of failures (errors/differences).

-d dir

    Specifies the top-level directory for saving baseline and history of failed checks. Default is /var/usr/lib/opa/analysis

-G esmchassisfile

    Specifies the file with SM chassis in the cluster. Default is /etc/opa/esm_chassis

-E 'esmchassis'

    Specifies the list of SM chassis on which to execute the command.

Example
opaesmanalysis

Environment Variables

The following environment variables are also used by this command:

ESM_CHASSIS

    List of SM chassis, used if -G and -E options are not supplied.

ESM_CHASSIS_FILE

    File containing list of SM chassis, used if -G and -E options are not supplied.

FF_ANALYSIS_DIR

    Top-level directory for baselines and failed health checks.